function [] = calcGeo(hObject,handles)
%Werkstckkontur und die Schleifscheibenkontur berechnet

global Dms;
global dphis;
global geo;

global rw0;
global phiw0;
global xw;
global yw;

global load_pw;
global load_rw;

global rs0;
global phis0;
global xs;
global ys;

global xmin_axis;
global xmax_axis;
global ymin_axis;
global ymax_axis;

global axisdistance;
global dmw;

global precision_n;
global wptquantity;

global iw;
global is;

precision_n=180;

dphis=360/precision_n;
wptquantity=precision_n;

switch geo
	case 'P3G'
		[xw yw]=calcP3G(150,10);
	case 'P4C'
		[xw yw]=calcP4C(150,10);
	case 'loadPt'
		[xw yw]=pol2cart((load_pw).*pi/180,load_rw);
 end

[phiw0 rw0]=cart2pol(xw,yw);

%Winkel-Liste beginnt bei 0
if phiw0(1)~=0
	phiw0=phiw0-phiw0(1);
end

dmw=min(rw0)+max(rw0);
axisdistance=0.5*(Dms+dmw);

try
	tic
	[phis0 rs0] = calcGrindWheel_C(axisdistance,iw,is,dphis,phiw0,rw0);
	toc
catch
	tic
	[phis0 rs0] = calcGrindWheel(axisdistance,iw,is,dphis,phiw0,rw0);
	toc
end

%tic
%[phis0 rs0] = calcGrindWheel_C(axisdistance,iw,is,dphis,phiw0,rw0);
%toc
%tic
%[phis0 rs0] = calcGrindWheel(axisdistance,iw,is,dphis,phiw0,rw0);
%toc

[xs ys]=pol2cart(phis0,rs0);

xmin_axis=-max(rw0)-axisdistance;
xmax_axis=max(rs0);
dx=0.05*(xmax_axis-xmin_axis);
xmin_axis=xmin_axis-dx;
xmax_axis=xmax_axis+dx;

yminmax_axis=max([max(rw0) max(rs0)]);
ymin_axis=-yminmax_axis;
ymax_axis=yminmax_axis;
dy=0.05*(ymax_axis-ymin_axis);
ymin_axis=ymin_axis-dy;
ymax_axis=ymax_axis+dy;

xw=xw-axisdistance;
drawGraph();

set(handles.slider1,'Value',0);
set(handles.text2,'String',[num2str(0),'']);

end