function [ok] = loadPt(hObject,handles)
%laden einer Punkteliste

global load_pw;
global load_rw;

ok=true;

path=pwd;

[filename,pathname,FilterIndex]=uigetfile( ...
	{'*.pt','Point Files (*.pt)';
	'*.*',  'All Files (*.*)'}, ...
	'Pick a file');
	try
		cd (pathname);
	catch
		ok=false;
	end
	if (filename)
		try
			M=load(filename, 'v1');
			load_pw=M(:,1);
			load_rw=M(:,2);
		catch
			try
				M=xlsread(filename);
				load_pw=M(:,1);
				load_rw=M(:,2);
			catch
				msgbox('Beim Einlesen der Punkte ist ein Fehler aufgetreten! Die Punkteliste konnte nicht geladen werden!');
			end
		end
	else
		ok=false;
	end
	
cd (path);

end